### Method

# Ide ProjectInfo get_vcs_uri

#### Declaration

    const gchar*
    ide_project_info_get_vcs_uri (
      IdeProjectInfo* self
    )

#### Description

Gets the VCS URI for the project info. This should be set with the remote URI for the version control system. It can be used to clone the project when activated from the greeter.

Available since: | 3.32

Gets property | `Ide.ProjectInfo:vcs-uri`

#### Return value

Returns: | `const gchar*`
| A `IdeVcsUri` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.